package com.zcloud.fire.check.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.fire.check.dto.FireCheckListItemAddCmd;
import com.zcloud.fire.check.dto.FireCheckListItemPageQry;
import com.zcloud.fire.check.dto.FireCheckListItemUpdateCmd;
import com.zcloud.fire.check.dto.clientobject.FireCheckListItemCO;

/**
 * web-client
 *
 * @Author zhaokai
 * @Date 2025-11-28 10:32:29
 */
public interface FireCheckListItemServiceI {
    PageResponse<FireCheckListItemCO> listPage(FireCheckListItemPageQry qry);

    SingleResponse<FireCheckListItemCO> add(FireCheckListItemAddCmd cmd);

    void edit(FireCheckListItemUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}

